PureMessage 4.0.4 and Exchange 2016 installed on Windows Server 2016 Datacenter-edition

Hi Community,

We are currently running Exchange 2010 with PureMessage 3.1.3.0 on Windows Server 2008R2 Datacenter-edition.

We are in process of upgrading to Exchange 2016 and has installed 16 Exchange 2016-servers all on Windows Server 2016 Datacenter-edition in a DAG.

Now we found out, that on 6th. of November 2018 Sophos has announced that they has identified compatibility issues between PureMessage for Microsoft Exchange and Windows Server 2016 Datacenter.
At this point in time there are no plans to resolve these compatibility issues and Sophos therefore suggests running the product on one of the other certified Server platforms.
Sophos has updated the System Requirements documentation to reflect this incompatibility and apologizes for this inconvenience.

We have opened a support case asking why it is not stated what the compability issues are and what will not be working if installed on Datacenter-edition.
Could you please explain what will not work, if PureMessage 4.0.4 is installed on Windows Server 2016 Datacenter-edition?

Their answer was: The compatibility issues had to be severe enough for us to advise against the usage of this edition of Server OS, details of which have not been put on the KBA for various reasons.

And then they just refer to this article KBA 131992.

My question is: Has anyone tried to install PureMessage 4.0.4 with Exchange 2016 on Windows Server 2016 Datacenter-edition? And if yes, what issues did you experience?

Thanks alot!

Regards,

Bent